Strings
Collaboration diagram for Strings:

## Classes

class | std::basic_string< _CharT, _Traits, _Alloc >
class | std::basic_string_view< _CharT, _Traits >
class | std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >
struct | std::char_traits< _CharT >

## Typedefs

typedef basic_string< char > | std::string
typedef basic_string< char16_t > | std::u16string
typedef basic_string< char32_t > | std::u32string
typedef basic_string< wchar_t > | std::wstring

## Detailed Description

## Typedef Documentation

## string

typedef basic_string<char> std::string

A string of `char`.

Definition at line 77 of file stringfwd.h.

## u16string

typedef basic_string<char16_t> std::u16string

A string of `char16_t`.

Definition at line 89 of file stringfwd.h.

## u32string

typedef basic_string<char32_t> std::u32string

A string of `char32_t`.

Definition at line 92 of file stringfwd.h.

## wstring

typedef basic_string<wchar_t> std::wstring

A string of `wchar_t`.

Definition at line 80 of file stringfwd.h.